Breadcrumbs

Metavault API - Get hub list

GetHubs - GET

Path

/api/projects/{projectId}/model/hubs

Http Method

GET

Overview

Required permissions

  • Read access to the Build module. BUILD READ

Request

Query parameters

See: Metavault API - General concepts | Paging, sorting and filters for collection query parameters.

Response

Success response (200 OK)

JSON
{
  "_embedded": {
    "hubs": [
      {
        "name": "Employee",
        "id": "f81e889e-4d64-405f-bf3c-9ac317fb046c",
        "entityType": "Hub",
        "deployedInProduction": false,
        "tableName": "dv.h_Employee",
        "businessKey": {
          "length": 255,
          "name": "bk",
          "type": "String"
        },
        "ignoreBusinessKeyCase": true
      },
      {
        "name": "Team",
        "id": "1d21d08f-1ede-4c24-8e58-3b0b982fdefb",
        "entityType": "Hub",
        "deployedInProduction": false,
        "tableName": "dv.h_Team",
        "businessKey": {
          "length": 255,
          "name": "bk",
          "type": "String"
        },
        "ignoreBusinessKeyCase": true
      }
    ]
  },
  "sort": [],
  "index": 0,
  "limit": 10,
  "expand": [],
  "total": 2
}
Response fields

For collection parameter responses see:Metavault API - General concepts